Name:           gqrx
Version:        2.17.3
Release:        %mkrel 2
Summary:        Software defined radio receiver powered by GNU Radio and Qt
Group:          Communications/Radio
License:        GPLv3+ and GPLv2+ and BSD
URL:            https://gqrx.dk/
Source0:        https://github.com/gqrx-sdr/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  cmake(funcube)
BuildRequires:  desktop-file-utils
BuildRequires:  git
BuildRequires:  gnuradio-pmt-devel
BuildRequires:  gnuradio-utils
BuildRequires:  mpir-devel
BuildRequires:  mpirxx-devel
BuildRequires:  pkgconfig(gmp)
BuildRequires:  pkgconfig(gmpxx)
BuildRequires:  pkgconfig(gnuradio-analog)
BuildRequires:  pkgconfig(gnuradio-audio)
BuildRequires:  pkgconfig(gnuradio-blocks)
BuildRequires:  pkgconfig(gnuradio-digital)
BuildRequires:  pkgconfig(gnuradio-fft)
BuildRequires:  pkgconfig(gnuradio-filter)
BuildRequires:  pkgconfig(gnuradio-iqbalance)
BuildRequires:  pkgconfig(gnuradio-network)
BuildRequires:  pkgconfig(gnuradio-osmosdr)
BuildRequires:  pkgconfig(gnuradio-runtime)
BuildRequires:  pkgconfig(libairspy)
BuildRequires:  pkgconfig(libbladeRF)
BuildRequires:  pkgconfig(libhackrf)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(librtlsdr)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  python-gnuradio-runtime
BuildRequires:  python3-numpy-devel

%description
Gqrx is a software defined radio receiver powered by the GNU Radio SDR
framework and the Qt graphical toolkit.

%prep
%autosetup -p1

%build
%cmake_qt5

%cmake_build

%install
%cmake_install

# desktop-file
desktop-file-install \
    --remove-category='Network' \
    --remove-category='Accessories' \
    --add-category='AudioVideo' \
    --add-category='Audio' \
    --add-category='X-Mageia-CrossDesktop' \
    --dir=%{buildroot}%{_datadir}/applications \
      dk.%{name}.%{name}.desktop

%files
%{_bindir}/*
%{_datadir}/applications/dk.%{name}.%{name}.desktop
%{_datadir}/metainfo/dk.gqrx.gqrx.appdata.xml
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

%doc README.md


%changelog
* Wed Apr 10 2024 barjac <barjac> 2.17.3-2.mga10
+ Revision: 2056357
- rebuild for gnuradio-3.10.9.2

* Sat Dec 30 2023 joequant <joequant> 2.17.3-1.mga10
+ Revision: 2024426
- update to 2.17.3 and to py3.12
- update to 2.17.3 and rebuild for py3.12

* Tue Jan 31 2023 barjac <barjac> 2.15.9-7.mga9
+ Revision: 1937239
- rebuild for uhd-4.4.0.0 gr etc

* Thu Jan 26 2023 barjac <barjac> 2.15.9-6.mga9
+ Revision: 1936246
- rebuild for gnuradio-3.10.5.1

* Mon Dec 05 2022 barjac <barjac> 2.15.9-5.mga9
+ Revision: 1917908
- drop BR osmo-sdr - dead upstream

* Sun Sep 18 2022 barjac <barjac> 2.15.9-4.mga9
+ Revision: 1889756
- rebuild for gnuradio-3.10.4.0

* Sat Aug 06 2022 barjac <barjac> 2.15.9-3.mga9
+ Revision: 1875566
- rebuild for gnuradio-3.10.3.0

* Mon Apr 25 2022 barjac <barjac> 2.15.9-2.mga9
+ Revision: 1853692
- rebuild for gr-osmosdr
- new BR cmake(funcube)

* Tue Apr 12 2022 barjac <barjac> 2.15.9-1.mga9
+ Revision: 1849108
- new version 2.15.9

* Fri Feb 04 2022 barjac <barjac> 2.15.8-1.mga9
+ Revision: 1771475
- new version 2.15.8
- remove obsolete patch fixed upstream
- adjust files list

* Fri Feb 04 2022 barjac <barjac> 2.14.6-2.mga9
+ Revision: 1771447
- rebuild for gr-3.10.1.1

* Thu Oct 07 2021 barjac <barjac> 2.14.6-1.mga9
+ Revision: 1750001
- new version 2.14.6

* Tue Oct 05 2021 barjac <barjac> 2.14.5-1.mga9
+ Revision: 1749593
- new version 2.14.5
- new BR gnuradio-network

* Sun Sep 26 2021 barjac <barjac> 2.14.4-6.mga9
+ Revision: 1746400
- Rebuild for gnuradio-3.9.3.0-rc1

* Sat Jun 19 2021 barjac <barjac> 2.14.4-5.mga9
+ Revision: 1731274
- rebuild for gnuradio-3.9.2

* Thu Jun 10 2021 barjac <barjac> 2.14.4-4.mga9
+ Revision: 1730267
- rebuild for volk-1.5.0

* Thu Apr 01 2021 barjac <barjac> 2.14.4-3.mga9
+ Revision: 1712473
- new BR python3-numpy
+ tv <tv>
- rebuild for new gnuradio

* Thu Dec 31 2020 barjac <barjac> 2.14.4-1.mga8
+ Revision: 1666589
- new version 2.14.4

* Wed Dec 16 2020 umeabot <umeabot> 2.14.3-2.mga8
+ Revision: 1658505
- Rebuild for new Qt5

* Thu Dec 10 2020 barjac <barjac> 2.14.3-1.mga8
+ Revision: 1655073
- new version 2.14.3

* Wed Dec 09 2020 barjac <barjac> 2.14.2-1.mga8
+ Revision: 1654983
- new version 2.14.2

* Wed Nov 25 2020 barjac <barjac> 2.14-1.mga8
+ Revision: 1649226
- rebuild for volk-2.4

* Mon Nov 09 2020 barjac <barjac> 2.13.5-1.mga8
+ Revision: 1643855
- new version 2.13.5

* Thu Nov 05 2020 barjac <barjac> 2.13.3-1.mga8
+ Revision: 1642727
- new version 2.13.3

* Thu Oct 29 2020 barjac <barjac> 2.13.2-1.mga8
+ Revision: 1640321
- new version 2.13.2

* Sun Oct 18 2020 barjac <barjac> 2.13.1-1.mga8
+ Revision: 1636672
- new version 2.3.1

* Sat Oct 17 2020 barjac <barjac> 2.13-2.mga8
+ Revision: 1636637
- drop patch fixed upstream
- new version 2.13

* Tue Sep 01 2020 barjac <barjac> 2.12.1-1.mga8
+ Revision: 1620697
- new version 2.12.1

* Sun May 10 2020 wally <wally> 2.11.5-9.mga8
+ Revision: 1582609
- rebuild for arm

* Sun May 03 2020 wally <wally> 2.11.5-8.mga8
+ Revision: 1578441
- rebuild for boost 1.73.0

* Thu Feb 20 2020 barjac <barjac> 2.11.5-7.14.mga8
+ Revision: 1547367
- patch to current master
- remove fcdproplus BR and add some new ones
- use cmake and new cmake macros and autosetup
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- rebuild for boost 1.72.0

* Sat Mar 30 2019 umeabot <umeabot> 2.11.5-6.mga7
+ Revision: 1381854
- Qt5 Rebuild

* Sat Jan 19 2019 barjac <barjac> 2.11.5-5.mga7
+ Revision: 1358136
- rebuild for gnuradio

* Tue Oct 16 2018 wally <wally> 2.11.5-4.mga7
+ Revision: 1321040
- rebuild for new boost 1.68.0

* Sun Sep 23 2018 umeabot <umeabot> 2.11.5-3.mga7
+ Revision: 1298056
- Mageia 7 Mass Rebuild

* Thu Jun 28 2018 barjac <barjac> 2.11.5-2.mga7
+ Revision: 1240413
- rebuild for gnuradio-3.7.13.3

* Sun Jun 10 2018 barjac <barjac> 2.11.5-1.mga7
+ Revision: 1235828
- new version 2.11.5

* Thu Apr 19 2018 barjac <barjac> 2.11.4-1.mga7
+ Revision: 1220013
- new version 2.11.4

* Fri Mar 30 2018 barjac <barjac> 2.11.2-1.mga7
+ Revision: 1213632
- new version 2.11.2

* Mon Jan 29 2018 barjac <barjac> 2.10-1.mga7
+ Revision: 1198042
- new version 2.10

* Mon Dec 25 2017 wally <wally> 2.9-2.mga7
+ Revision: 1184671
- rebuild for new boost

* Mon Nov 27 2017 barjac <barjac> 2.9-1.mga7
+ Revision: 1180104
- new version 2.9
- fixed Source0 and .desktop file

* Tue Nov 21 2017 tv <tv> 2.6-3.mga7
+ Revision: 1178322
- rebuild for boost 1.65

* Fri Oct 27 2017 barjac <barjac> 2.6-2.mga7
+ Revision: 1173952
- rebuild for gnuradio stack

* Wed Dec 21 2016 barjac <barjac> 2.6-1.mga6
+ Revision: 1076264
- new version 2.6

* Thu Sep 29 2016 barjac <barjac> 2.5.3-9.mga6
+ Revision: 1057514
- rebuild for new airspy

* Sun Sep 11 2016 barjac <barjac> 2.5.3-8.mga6
+ Revision: 1051468
- rebuild for gnuradio-3.7.10.1

* Wed Jul 27 2016 tmb <tmb> 2.5.3-7.mga6
+ Revision: 1043747
- rebuild for new gnuradio

* Thu Apr 14 2016 barjac <barjac> 2.5.3-5.mga6
+ Revision: 1001564
- rebuild for gnuradio

* Tue Mar 22 2016 barjac <barjac> 2.5.3-4.mga6
+ Revision: 994061
- rebuild for arm

* Tue Mar 22 2016 barjac <barjac> 2.5.3-3.mga6
+ Revision: 993872
- rebuild for gr-fcdproplus
- use pkgconfig style BRs where possible
- sort BRs

* Mon Feb 22 2016 barjac <barjac> 2.5.3-2.mga6
+ Revision: 976090
- rebuild for gnuradio

* Thu Feb 04 2016 barjac <barjac> 2.5.3-1.mga6
+ Revision: 935910
- new version 2.5.3

* Thu Feb 04 2016 barjac <barjac> 2.5.2-2.mga6
+ Revision: 935414
- build for arm

* Sat Jan 23 2016 barjac <barjac> 2.5.2-1.mga6
+ Revision: 926727
- new version 2.5.2

* Thu Jan 07 2016 barjac <barjac> 2.5-1.mga6
+ Revision: 920301
- new version 2.5
- fix Source0 as upstream tarball name changed

* Thu Dec 31 2015 barjac <barjac> 2.4-3.mga6
+ Revision: 917220
- rebuild for gnuradio-3.7.9

* Sun Dec 27 2015 barjac <barjac> 2.4-2.mga6
+ Revision: 915906
- rebuild for boost-1.60.0

* Thu Dec 17 2015 barjac <barjac> 2.4-1.mga6
+ Revision: 911206
- new version 2.4
- switch to Qt5
- Add BRs according to README.md
- fix missing icon (upstream bug)
- change upstream desktop file categories

* Sat Sep 26 2015 barjac <barjac> 2.3.2-5.mga6
+ Revision: 883962
- rebuild for boost-1.59

* Wed Sep 23 2015 barjac <barjac> 2.3.2-4.mga6
+ Revision: 882439
- rebuild for updated gnuradio and other SDR stack packages

* Sun Aug 02 2015 daviddavid <daviddavid> 2.3.2-3.mga6
+ Revision: 860547
- rebuild for new boost-1.58.0

* Mon Jan 19 2015 barjac <barjac> 2.3.2-2.mga5
+ Revision: 811418
- Rebuild for updated gr-fcdproplus

* Sun Jan 18 2015 barjac <barjac> 2.3.2-1.mga5
+ Revision: 811218
- Adapt spec for Mageia
- Sync files
- Import gqrx from Fedora with thanks


* Mon Dec  8 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 2.3.2-1
- New version
- Fixed download URL
- Packaged desktop file and icon according to guidelines

* Thu Oct 23 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 2.2.0-13
- Rebuilt for new gr-osmosdr and gnuradio

* Tue Sep  2 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 2.2.0-12
- Rebuilt for new gnuradio

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jul 17 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 2.2.0-10
- Rebuilt for new gnuradio

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun May 25 2014 Petr Machata <pmachata@redhat.com> - 2.2.0-8
- Rebuild for boost 1.55.0

* Fri May 23 2014 David Tardon <dtardon@redhat.com> - 2.2.0-7
- rebuild for boost 1.55.0

* Thu Mar 13 2014 Josh Bressers <bressers@redhat.com> 2.2.0-6
- Rebuild to fix broken rawhide dependency

* Sat Mar 8 2014 Kevin Kofler <Kevin@tigcc.ticalc.org> 2.2.0-5
- Rebuild against fixed qt to fix -debuginfo (#1074041)

* Thu Feb 20 2014 Josh Bressers <bressers@redhat.com> 2.2.0-4
- Fix the License field

* Sat Feb 08 2014 Josh Bressers <bressers@redhat.com> 2.2.0-3
- Fix some issues noted in bug 1006104

* Fri Feb 07 2014 Josh Bressers <bressers@redhat.com> 2.2.0-2
- Package version 2.2.0

* Mon Sep 9 2013 Josh Bressers <bressers@redhat.com> 2.1_git_298_g0e78-1
- Initial RPM
